Package org.spongepowered.asm.mixin.injection.code

## Class MethodSlices

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.code.MethodSlices

    public final class MethodSlices
    extends java.lang.Object

Represents a collection of `MethodSlice`s, mapped by ID. Stored ids may be different to declared slice ids because they are mapped by the underlying injector. Some injectors only support a single slice.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MethodSlice` `get​(java.lang.String id)` Fetch the slice with the specified id, returns null if no slice with the supplied id is available
`static MethodSlices` `parse​(InjectionInfo info)` Parse a collection of slices from the supplied injector
`void` `postInject()` Called to do post-injection validation/debug logging for slices
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### get

    public MethodSlice get​(java.lang.String id)

Fetch the slice with the specified id, returns null if no slice with the supplied id is available

Parameters:
  `id` - slice id
Returns:
  matching slice or null

#### postInject

    public void postInject()

Called to do post-injection validation/debug logging for slices

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### parse

    public static MethodSlices parse​(InjectionInfo info)

Parse a collection of slices from the supplied injector

Parameters:
  `info` - owning injector
Returns:
  parsed slice collection